import HeritiersItemSheet from "./base-item-sheet.mjs"
import { HeritiersUtility } from "../../heritiers-utility.js"

export default class HeritiersSortSheet extends HeritiersItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    ...super.DEFAULT_OPTIONS,
    window: {
      ...super.DEFAULT_OPTIONS.window,
      title: "SHEETS.Item.sort",
    },
  }

  /** @override */
  static PARTS = {
    sheet: {
      template: "systems/fvtt-les-heritiers/templates/item-sort-sheet.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    context.competencesMagie = HeritiersUtility.getCompetencesMagie() || []
    return context
  }
}
